Updates the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4862b599-0ec7-4469-b6fe-becb0f8a2c73",
  "user_id": "c2bf0dcc-0507-4e8b-a5c4-1079b2fe3e78",
  "user_planning_slot_type_id": "d428a44f-ce80-496c-90f5-12dcedfc5f3f",
  "date_from": "2026-11-21T22:36:38.8611797+00:00",
  "date_to": "2026-11-21T22:36:38.8611797+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-21T22:36:38.8611797+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.